| Home | Libraries | People | FAQ | More

# s11n_example::stock Struct Reference

List of all members.

## Detailed Description

Structure to hold information about a single stock.

Definition at line 9 of file stock.hpp.

## Public Member Functions

template<typename Archive>
void | serialize (Archive &ar, const unsigned int version)

## Public Attributes

std::string | code
std::string | name
double | open_price
double | high_price
double | low_price
double | last_price
double | buy_price
int | buy_quantity
double | sell_price
int | sell_quantity

## Member Function Documentation

template<typename Archive>

void s11n_example::stock::serialize | ( | Archive & | ar,
|  | const unsigned int | version |
| ) |  |  |

Definition at line 23 of file stock.hpp.

    00024   {
    00025     ar & code;
    00026     ar & name;
    00027     ar & open_price;
    00028     ar & high_price;
    00029     ar & low_price;
    00030     ar & last_price;
    00031     ar & buy_price;
    00032     ar & buy_quantity;
    00033     ar & sell_price;
    00034     ar & sell_quantity;
    00035   }

## Member Data Documentation

std::string s11n_example::stock::code

Definition at line 11 of file stock.hpp.

Referenced by serialize().

std::string s11n_example::stock::name

Definition at line 12 of file stock.hpp.

Referenced by serialize().

double s11n_example::stock::open_price

Definition at line 13 of file stock.hpp.

Referenced by serialize().

double s11n_example::stock::high_price

Definition at line 14 of file stock.hpp.

Referenced by serialize().

double s11n_example::stock::low_price

Definition at line 15 of file stock.hpp.

Referenced by serialize().

double s11n_example::stock::last_price

Definition at line 16 of file stock.hpp.

Referenced by serialize().

double s11n_example::stock::buy_price

Definition at line 17 of file stock.hpp.

Referenced by serialize().

int s11n_example::stock::buy_quantity

Definition at line 18 of file stock.hpp.

Referenced by serialize().

double s11n_example::stock::sell_price

Definition at line 19 of file stock.hpp.

Referenced by serialize().

int s11n_example::stock::sell_quantity

Definition at line 20 of file stock.hpp.

Referenced by serialize().

The documentation for this struct was generated from the following file:

- serialization/stock.hpp

| Copyright © 2003 - 2006 Christopher M. Kohlhoff